Results 1 to 3 of 3

Thread: Learning how to use Reactors in LISP, where to start

  1. #1
    Member rajat_bapi_mallick's Avatar
    Join Date
    2005-08
    Location
    Kolkata, INDIA
    Posts
    40
    Login to Give a bone
    0

    Lightbulb Learning how to use Reactors in LISP, where to start

    Hi !

    Is there any web site or ATP Cources that I can learn about reactor ??

    -Rajat

  2. #2
    AUGI Addict .T.'s Avatar
    Join Date
    2000-12
    Location
    Lost
    Posts
    1,473
    Login to Give a bone
    0

    Default Re: Learning how to use Reactors in LISP, where to start

    Quote Originally Posted by rajat_bapi_mallick
    Hi !

    Is there any web site or ATP Cources that I can learn about reactor ??

    -Rajat
    Hi Rajat,

    One place to start would be HERE. About half way down Kennet has an example that will probably help you understand them a bit more.
    Tim Creary
    S&D
    DILLIGAF

  3. #3
    I could stop if I wanted to
    Join Date
    2003-11
    Posts
    277
    Login to Give a bone
    0

    Default Re: Learning how to use Reactors in LISP, where to start

    Hi rajat,
    here a simple code for reactor as tutorial
    Code:
    ; rtc is stand for Reactor Two Circle
    ;        Design by  : Adesu <Ade Suharna>
    ;        Email      : mteybid@yuasabattery.co.id
    ;        Homepage   : http://www.yuasa-battery.co.id
    ;        Create     : 09 October 2006
    ;        Program no.: 0450/10/2006
    ;        Edit by    : Bruno Toniutti 13/10/2006   1).
    (defun c:rtc (/ c1 c2 objlst obj_reactor p1 p2 rad vgad vgao vgms)
      (vl-load-com)
      (setq vgao (vlax-get-acad-object))
      (setq vgad (vla-get-activedocument vgao))
      (setq vgms (vla-get-modelspace vgad))
      (setq p1 '(0 0 0))
      (setq p2 '(5 5 0))
      (setq rad 0.5)
      (setq c1 (vla-addCircle vgms (vlax-3d-point p1) rad))
      (vla-put-color c1 acred)
      (setq c2 (vla-addCircle vgms (vlax-3d-point p2) rad))
      (vla-put-color c2 acblue)
      (setq objlst (list c1 c2))
      (setq obj_reactor (vlr-object-reactor
            objlst
            nil
            '((:vlr-modified . callback))))
      )
    
    (defun callback (notifier-object obj_reactor parameter-list
    		 / objlist newrad)                             ; 1).
      (setq objlist (vlr-owners obj_reactor))
      (setq newrad (vla-get-radius notifier-object))
      (if
        (= notifier-object (nth 0 objlist))
        (vla-put-radius (nth 1 objlist) newrad)
        (vla-put-radius (nth 0 objlist) newrad)
        )
      )
    Quote Originally Posted by rajat_bapi_mallick
    Hi !

    Is there any web site or ATP Cources that I can learn about reactor ??

    -Rajat

Similar Threads

  1. Learning Lisp
    By Wolfgirl in forum AutoLISP
    Replies: 50
    Last Post: 2017-08-06, 03:10 PM
  2. Replies: 2
    Last Post: 2007-03-12, 06:00 PM
  3. Start Up Lisp Help
    By BCrouse in forum AutoLISP
    Replies: 7
    Last Post: 2005-04-20, 03:52 PM
  4. Learning LISP
    By dhurd in forum AutoLISP
    Replies: 2
    Last Post: 2004-09-24, 08:57 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •